YourNextHome
API ReferenceApartment

Get apartment by id

GET
/api/v1/apartment/{id}

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/apartment/string"
{
  "id": "string",
  "name": "string",
  "isPromoted": true,
  "description": "string",
  "status": "ACTIVE",
  "floorPlanUrls": [
    "string"
  ],
  "floorPlanPreviewUrls": [
    "string"
  ],
  "floorPlan3dPreviewUrls": [
    "string"
  ],
  "priceCents": 0,
  "isPriceNet": true,
  "apartmentType": "RESIDENTIAL",
  "apartmentData": {
    "area": 0,
    "terrace": 0,
    "terraces": [
      0
    ],
    "areaUnit": "m2",
    "balcony": 0,
    "balconies": [
      0
    ],
    "bedrooms": 0,
    "rooms": 0,
    "bathrooms": 0,
    "floor": 0,
    "garage": 0,
    "storage": 0,
    "category": "string",
    "priceAsterisk": "string",
    "exposures": [
      "N"
    ],
    "floorHeight": 0,
    "hasDen": true
  },
  "buildingId": "string",
  "showPrice": true,
  "currency": "USD",
  "building": {
    "id": "string",
    "name": "string",
    "description": "string",
    "features": [
      {
        "name": "string",
        "description": "string",
        "type": "parking"
      }
    ],
    "source": "string"
  },
  "externalId": "string",
  "lastSynchronizedAt": "2019-08-24T14:15:22Z",
  "source": "string",
  "virtualTourUrl": "string",
  "assetsIds": [
    "string"
  ],
  "panoramaId": "string",
  "preferredAngles": [
    {
      "navigatorId": "string",
      "angle": 0,
      "source": "auto"
    }
  ],
  "externalUrl": "string",
  "priceChangeHistory": [
    {
      "date": "2019-08-24T14:15:22Z",
      "priceCentsBefore": 0,
      "priceCentsAfter": 0
    }
  ]
}